org.gradle.api.reporting

## Interface CustomizableHtmlReport

- All Superinterfaces:
    org.gradle.util.Configurable<Report>, ConfigurableReport, Report, Serializable, SingleFileReport

      @Incubating
      public interface CustomizableHtmlReport
      extends SingleFileReport

  A HTML Report whose generation can be customized with a XSLT stylesheet.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextResource` | `getStylesheet()` The stylesheet to use to generate the HTML report.
    `void` | `setStylesheet(TextResource stylesheet)` The stylesheet to use to generate the report.

    - ### Methods inherited from interface org.gradle.api.reporting.SingleFileReport

      `getDestination, getOutputType`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDisplayName, getName, isEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getStylesheet

          TextResource getStylesheet()

      The stylesheet to use to generate the HTML report.
      Returns:
        the stylesheet to use to generate the HTML report

    - #### setStylesheet

          void setStylesheet(TextResource stylesheet)

      The stylesheet to use to generate the report.
      Parameters:
        `stylesheet` - the stylesheet to use to generate the HTML report